<?php
/**
 * @file
 *
 * @author Osman Gormus <osman@project6.com>
 *
 * 2012-03-24
 */

/**
 * Implements template_preprocess.
 */
// function p6_preprocess(&$vars, $hook) {
//    UN-COMMENT THIS FUNCTION ONLY IF YOU NEED TO.
//    DO NOT DUPLICATE IT FROM THE p6_base THEME'S template.php
//    ONLY USE IT TO OVERRIDE BASE THEME OR TO ADD NEW FUNCTIONALITY.
// }

/**
 * Implements template_preprocess_page.
 */
// function p6_preprocess_page(&$vars) {
//    UN-COMMENT THIS FUNCTION ONLY IF YOU NEED TO.
//    DO NOT DUPLICATE IT FROM THE p6_base THEME'S template.php
//    ONLY USE IT TO OVERRIDE BASE THEME OR TO ADD NEW FUNCTIONALITY.
// }

/**
 * Process variables for node.tpl.php
 *
 * @see node.tpl.php
 */
// function p6_preprocess_node(&$vars) {
//    UN-COMMENT THIS FUNCTION ONLY IF YOU NEED TO.
//    DO NOT DUPLICATE IT FROM THE p6_base THEME'S template.php
//    ONLY USE IT TO OVERRIDE BASE THEME OR TO ADD NEW FUNCTIONALITY.
// }

/**
 * Process variables for block.tpl.php
 *
 * @see block.tpl.php
 */
// function p6_preprocess_block(&$vars) {
//    UN-COMMENT THIS FUNCTION ONLY IF YOU NEED TO.
//    DO NOT DUPLICATE IT FROM THE p6_base THEME'S template.php
//    ONLY USE IT TO OVERRIDE BASE THEME OR TO ADD NEW FUNCTIONALITY.
// }

/**
 * Implements theme_search_theme_form()
 */
function p6_search_theme_form($form) {
  $form['search_theme_form']['#title'] = t('Search this site');
  $form['search_theme_form']['#default_value'] = '';
  $form['search_theme_form']['#attributes']['title'] = t('Enter the terms you wish to search for.');
  $form['search_theme_form']['#description'] = t('Enter the terms you wish to search for.');

  $form['submit']['#value'] = t('Search');

  return drupal_render($form);
}

/**
 * Implements theme_search_block_form()
 */
function p6_search_block_form($form) {
  $form['search_block_form']['#title'] = t('Search this site');
  $form['search_block_form']['#default_value'] = '';
  $form['search_block_form']['#attributes']['title'] = t('Enter the terms you wish to search for.');
  $form['search_block_form']['#description'] = t('Enter the terms you wish to search for.');

  $form['submit']['#value'] = t('Search');

  return drupal_render($form);
}

/**
 * Format the "Submitted by username on date/time" for each node
 */
function p6_node_submitted($node) {
  $node_submitted = t('Submitted by !username on @datetime',
    array(
      '!username' => theme('username', $node),
      '@datetime' => format_date($node->created),
    )
  );

  return '<div class="ui-node-submitted">' . $node_submitted . '</div>';
}

/**
 * Returns a themed breadcrumb trail.
 *
 * @param array $breadcrumb
 *   An array containing the breadcrumb links.
 *
 * @return string
 *   A string containing the breadcrumb output.
 */
function p6_breadcrumb($breadcrumb) {
  if (!empty($breadcrumb)) {
    return implode(' » ', $breadcrumb);
  }
}
